LTSpice

Hi

I am relatively new to analogue design. I studied electrical engineering as a degree 25 years ago but did not do amy design. So I consider myself at the "student" level of design.

I have tried downloading the latest version of LTSpice on my Laptop (which is HP Pavillion, running Windows 7. It's 10 years old) but unfortunately it seems to be too old run LTSpice. It says something about a win32exe file.

I think I need to update my computer to run LTSpice. 

Does anyone know what the minimum system requirements are to run LTSpice?

Thanks

Mac